MKDIR(2)

NAME
mkdir, rmdir - make or remove a directory

SYNOPSIS
int mkdir(name, mode)
char *name;

int rmdir(name)
char *name;

DESCRIPTION
Mkdir creates a new directory whose name is the null-terminated string pointed to by name. The mode of the directory is set to mode, as modified by the process's mode mask (see stat(2) and umask(2)). The directory initially contains two entries: . (a link to the directory itself) and .. (a link to the parent directory).

If the mode includes S_IBLIND, the directory is `blind'. A blind directory cannot be read, and its security label is not checked when the directory is searched.

Rmdir removes the directory name, which must only have the entries and

SEE ALSO
mkdir(1), rm(1), mknod(2)

DIAGNOSTICS
EEXIST (mkdir only), EFAULT, EHASF (rmdir only), EINVAL (rmdir only), EIO, ELAB, ELOOP, ENOENT, ENOTDIR, EROFS